PKGCTL-DIFF(1)

BEZEICHNUNG
pkgctl-diff - Dateien mittels verschiedener Modi vergleichen

ÜBERSICHT

pkgctl diff [OPTIONEN] [MODI] [DATEI|PAKETNAME…]

BESCHREIBUNG

Sucht nach lokal gebauten Paketen, die PKGBUILD entsprechen und lädt die neuste Version dieses Pakets aus den Pacman-Repositorien herunter. Es vergleicht dann die Paketarchive mittels verschiedener Modi standardmäßig unter Verwendung einer einfachen Tar-Inhaltsauflistung.

Wird ein Paket übergeben, wird es als Vergleich zum lokal gebauten verwandt. Wenn zwei Pakete übergeben werden, werden beide Pakete miteinander verglichen.

In jeden Fall werden die Paketnamen in einem Dateinamen aus dem Zwischenspeicher oder Pool umgewandelt und pkgctl diff wird fortfahren, als ob der Dateiname anfänglich angegeben worden wäre.

OPTIONEN

-M, --makepkg-config
    Setzt eine alternative makepkg(8)-Konfigurationsdatei.

-P, --pool=VERZ
    Sucht nach Vergleichsziel in Pool-Verzeichnis (standardmäßig »/srv/ftp/pool«).

-v, --verbose
    Stellt detailliertere/ungefilterte Ausgabe bereit.

-h, --help
    Zeigt einen Hilfetext an.

AUSGABEOPTIONEN

--color[=WANN]
    Farbausgabe; WANN ist »never«, »always« oder »auto«; reines --color bedeutet --color=auto.

-u, -U, --unified
    Gibt 3 Zeilen von vereinigtem Kontext aus.

-y, --side-by-side
    Gibt in zwei Spalten aus.

-W, --width[=ANZ]
    Gibt höchstens ANZ Darstellungsspalten aus (Vorgabe »auto«); ANZ kann »auto«, »columns« oder eine Zahl sein. »auto« wird auf die maximale Zeilenlänge beider Dateien aufgelöst und garantiert, dass der Vergleich nicht gekürzt wird.

MODI

-l, --list
    Aktiviert Tar-Inhaltslisten-Vergleichsmodus (Vorgabe).

-d, --diffoscope
    Aktiviert diffoscope(1)-Vergleichsmodus.

-p, --pkginfo
    Aktiviert .PKGINFO-Vergleichsmodus.

-b, --buildinfo
    Aktiviert .BUILDINFO-Vergleichsmodus.

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.